#include <QApplication>
#include <QFontDatabase>
#include "wgt/mainwindow.h"
#include "a429_library_adapter.h"
#include <QDebug>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    // подгружаем пользовательский шрифт
    QFont mFont;
    int id = QFontDatabase::addApplicationFont(":/resource/OpenGostTypeA-Regular.ttf");
    QString family = QFontDatabase::applicationFontFamilies(id).at(0);
    mFont = QFont(family);
    mFont.setPixelSize(18);
    a.setFont(mFont);

    // главное окно
    MainWindow w;
    w.show();
    return a.exec();
}
