#ifndef LISTNETWORKDIALOG_H
#define LISTNETWORKDIALOG_H

#include <QDialog>
#include <QStringListModel>

namespace Ui {
class ListNetworkDialog;
}

///
/// \brief Окно сетевых устройств
///
class ListNetworkDialog : public QDialog
{
    Q_OBJECT

public:
    explicit ListNetworkDialog(QWidget *parent = nullptr);
    ~ListNetworkDialog();

private slots:
    /// \brief обновить модель устройств
    void refreshDeviceList();

    /// \brief нажатие кнопки Добавить
    void onAddClicked();

    /// \brief нажатие кнопки Удалить
    void onRemoveClicked();

    /// \brief нажатие кнопки Редактировать
    void onEditClicked(const QModelIndex &index);

private:
    Ui::ListNetworkDialog *ui;
};

#endif // LISTNETWORKDIALOG_H
